
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * rflexType.h:     La SDI_F de rflex
 *
 * Utilise par le module et par les clients
 * (inclut dans rflexMsgLib.h et rflexPosterLib.h)
 * 
 */

#ifndef rflex_TYPE_H
#define rflex_TYPE_H

#include "genom/modules.h"
#include "rflexError.h"

/* Nombre de tache d'execution de ce module */
#define RFLEX_NB_EXEC_TASK                   (3)


#endif
#ifndef rflex_TYPE1_H
#define rflex_TYPE1_H

#include "/opt/openrobots/include/pom/pomStruct.h"
#include "/opt/openrobots/include/genPos/genPosStruct.h"
#include "/opt/openrobots/include/genBasic/genBasicStruct.h"
#include "rflexStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct RFLEX_STR {
	RFLEX_POM_TAGGING pomTagging;
	RFLEX_CLIENT_STR client;
	RFLEX_CLIENT_STATUS connect;
	GENPOS_TRACK trackStr;
	RFLEX_ODO_STR odo;
	RFLEX_MISC_ODO miscOdo;
	RFLEX_RAW_AXIS_STR rawAxis[2];
	GENPOS_CART_REF configRef;
	GENPOS_CART_SPEED speedRef;
	RFLEX_CART_3DCONFIG setPosStr;
	RFLEX_STRING posMEPosterName;
	GENPOS_CART_CONFIG_VAR setVarTab;
	RFLEX_VAR_PARAMS varParams;
	GENPOS_CART_CMD_PARAM cmd;
	RFLEX_GEOM_PARAM_STR geomParams;
	RFLEX_SONARS_CONFIG sonarsConfig;
	RFLEX_SONARS_RANGE sonarRange;
	RFLEX_SONARS_CART_MEASURES measureInRobotCart;
	RFLEX_GYRO gyro;
	RFLEX_GYRO_MODE gyroMode;
	RFLEX_JOYSTICK_STR joystickState;
	RFLEX_SYSTEM_STATE_STR systemState;
	RFLEX_BATTERY_STATUS statusToMonitor;
	GEN_STRING128 fileName;
	POM_ME_POS posPoster;
	unsigned int activeReq;
	unsigned int id;
	unsigned int ts;
	unsigned int WatchDogRef;
	RFLEX_ODOMETRY_MODE odometryMode;
	RFLEX_ODOMETRY_METHOD odometryCommand;
	POM_EULER attitude;
	RFLEX_STRING SetPosFromMEPosterInput[20];
	RFLEX_BATTERY_STATUS MonitorBatteryInput[20];
} RFLEX_STR;


#endif

