
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef RFLEX_SCAN_H
#define RFLEX_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/rflexPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_RFLEX_SONARSCART_POSTER_STR (char** buf, struct RFLEX_SONARSCART_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_SONARSRHO_POSTER_STR (char** buf, struct RFLEX_SONARSRHO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_SONARSCONFIG_POSTER_STR (char** buf, struct RFLEX_SONARSCONFIG_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_MEPOS_POSTER_STR (char** buf, struct RFLEX_MEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_ROBOT_POSTER_STR (char** buf, struct RFLEX_ROBOT_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_STR (char** buf, struct RFLEX_STR *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_ODOMETRY_METHOD (char** buf, struct RFLEX_ODOMETRY_METHOD *x, int nDim, int *dims );
int scan_buf_enum_RFLEX_ODOMETRY_MODE (char** buf, enum RFLEX_ODOMETRY_MODE *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_GYRO (char** buf, struct RFLEX_GYRO *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_GYRO_PARAMS (char** buf, struct RFLEX_GYRO_PARAMS *x, int nDim, int *dims );
int scan_buf_enum_RFLEX_GYRO_MODE (char** buf, enum RFLEX_GYRO_MODE *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_JOYSTICK_STR (char** buf, struct RFLEX_JOYSTICK_STR *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_SYSTEM_STATE_STR (char** buf, struct RFLEX_SYSTEM_STATE_STR *x, int nDim, int *dims );
int scan_buf_enum_RFLEX_BATTERY_STATUS (char** buf, enum RFLEX_BATTERY_STATUS *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_SONARS_RANGE (char** buf, struct RFLEX_SONARS_RANGE *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_SONARS_CART_MEASURES (char** buf, struct RFLEX_SONARS_CART_MEASURES *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_POINT (char** buf, struct RFLEX_POINT *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_SONARS_CONFIG (char** buf, struct RFLEX_SONARS_CONFIG *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_CONFIG (char** buf, struct RFLEX_CONFIG *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_MISC_ODO (char** buf, struct RFLEX_MISC_ODO *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_ODO_STR (char** buf, struct RFLEX_ODO_STR *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_CART_3DCONFIG (char** buf, struct RFLEX_CART_3DCONFIG *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_CART_3DSTATE (char** buf, struct RFLEX_CART_3DSTATE *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_GEOM_PARAM_STR (char** buf, struct RFLEX_GEOM_PARAM_STR *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_VAR_PARAMS (char** buf, struct RFLEX_VAR_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_RAW_AXIS_STR (char** buf, struct RFLEX_RAW_AXIS_STR *x, int nDim, int *dims );
int scan_buf_enum_RFLEX_MODE (char** buf, enum RFLEX_MODE *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_CLIENT_STR (char** buf, struct RFLEX_CLIENT_STR *x, int nDim, int *dims );
int scan_buf_enum_RFLEX_CLIENT_STATUS (char** buf, enum RFLEX_CLIENT_STATUS *x, int nDim, int *dims );
int scan_buf_enum_RFLEX_POM_TAGGING (char** buf, enum RFLEX_POM_TAGGING *x, int nDim, int *dims );
int scan_buf_struct_RFLEX_STRING (char** buf, struct RFLEX_STRING *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_RFLEX_STRING (char** buf, RFLEX_STRING *x, int nDim, int *dims );
int scan_buf_RFLEX_POM_TAGGING (char** buf, RFLEX_POM_TAGGING *x, int nDim, int *dims );
int scan_buf_RFLEX_CLIENT_STATUS (char** buf, RFLEX_CLIENT_STATUS *x, int nDim, int *dims );
int scan_buf_RFLEX_CLIENT_STR (char** buf, RFLEX_CLIENT_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_MODE (char** buf, RFLEX_MODE *x, int nDim, int *dims );
int scan_buf_RFLEX_RAW_AXIS_STR (char** buf, RFLEX_RAW_AXIS_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_VAR_PARAMS (char** buf, RFLEX_VAR_PARAMS *x, int nDim, int *dims );
int scan_buf_RFLEX_GEOM_PARAM_STR (char** buf, RFLEX_GEOM_PARAM_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_CART_3DSTATE (char** buf, RFLEX_CART_3DSTATE *x, int nDim, int *dims );
int scan_buf_RFLEX_CART_3DCONFIG (char** buf, RFLEX_CART_3DCONFIG *x, int nDim, int *dims );
int scan_buf_RFLEX_ODO_STR (char** buf, RFLEX_ODO_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_MISC_ODO (char** buf, RFLEX_MISC_ODO *x, int nDim, int *dims );
int scan_buf_RFLEX_CONFIG (char** buf, RFLEX_CONFIG *x, int nDim, int *dims );
int scan_buf_RFLEX_SONARS_CONFIG (char** buf, RFLEX_SONARS_CONFIG *x, int nDim, int *dims );
int scan_buf_RFLEX_POINT (char** buf, RFLEX_POINT *x, int nDim, int *dims );
int scan_buf_RFLEX_SONARS_CART_MEASURES (char** buf, RFLEX_SONARS_CART_MEASURES *x, int nDim, int *dims );
int scan_buf_RFLEX_SONARS_RANGE (char** buf, RFLEX_SONARS_RANGE *x, int nDim, int *dims );
int scan_buf_RFLEX_BATTERY_STATUS (char** buf, RFLEX_BATTERY_STATUS *x, int nDim, int *dims );
int scan_buf_RFLEX_SYSTEM_STATE_STR (char** buf, RFLEX_SYSTEM_STATE_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_JOYSTICK_STR (char** buf, RFLEX_JOYSTICK_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_GYRO_MODE (char** buf, RFLEX_GYRO_MODE *x, int nDim, int *dims );
int scan_buf_RFLEX_GYRO_PARAMS (char** buf, RFLEX_GYRO_PARAMS *x, int nDim, int *dims );
int scan_buf_RFLEX_GYRO (char** buf, RFLEX_GYRO *x, int nDim, int *dims );
int scan_buf_RFLEX_ODOMETRY_MODE (char** buf, RFLEX_ODOMETRY_MODE *x, int nDim, int *dims );
int scan_buf_RFLEX_ODOMETRY_METHOD (char** buf, RFLEX_ODOMETRY_METHOD *x, int nDim, int *dims );
int scan_buf_RFLEX_STR (char** buf, RFLEX_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_ROBOT_POSTER_STR (char** buf, RFLEX_ROBOT_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_MEPOS_POSTER_STR (char** buf, RFLEX_MEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_SONARSCONFIG_POSTER_STR (char** buf, RFLEX_SONARSCONFIG_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_SONARSRHO_POSTER_STR (char** buf, RFLEX_SONARSRHO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RFLEX_SONARSCART_POSTER_STR (char** buf, RFLEX_SONARSCART_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* RFLEX_SCAN_H */

